![Calculadora Python Banner](./assets/Capa.jpg)

# 🧮 Calculadora Científica em Python

[![Status](https://img.shields.io/badge/status-active-success)]()
[![Licença](https://img.shields.io/badge/license-MIT-blue)]()
[![Python](https://img.shields.io/badge/python-3.12+-blue)]()
[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/drive/1hs5znm-lPc-AOodtHnrPCNhMBg8jakax)
[![Downloads](https://img.shields.io/pypi/dm/calculadora-avancada?color=blue)]()
[![Último Commit](https://img.shields.io/github/last-commit/LeoMedeiros72/Calculadora-3.0)]()

Uma calculadora multifuncional para operações matemáticas básicas e avançadas, desenvolvida como projeto educacional em Python com interface intuitiva e histórico de cálculos.

## 📌 Índice

- [✨ Funcionalidades](#-funcionalidades)
- [🚀 Como Usar](#-como-usar)
- [🛠️ Tecnologias](#%EF%B8%8F-tecnologias)
- [🗺️ Roadmap](#%EF%B8%8F-roadmap)
- [📄 Licença](#-licença)
- [👨‍💻 Autor](#-autor)

## ✨ Funcionalidades

### 🔢 Operações Matemáticas
| Categoria           | Operações Disponíveis                          | 
|---------------------|-----------------------------------------------|
| **Básicas**         | Adição, Subtração, Multiplicação, Divisão     |
| **Potenciação**     | Expoentes, Raízes                             |
| **Álgebra**         | Equações 1º/2º grau, Fatorial, Logaritmos     |
| **Geometria**       | Teorema de Pitágoras, Trigonometria           |
| **Cálculo**         | Derivadas, Integrais                          |

### 📊 Visualização
- Geração de gráficos de funções
- Histórico de operações persistente

### 🔄 Conversões
- Temperatura (Celsius/Fahrenheit)
- Regra de três simples e inversa

### ℂ Números Complexos
- Operações básicas
- Forma polar
- Cálculo de raízes

## 🚀 Como Usar

```bash
# Clone o repositório
git clone https://github.com/LeoMedeiros72/Calculadora-3.0.git
cd Calculadora-3.0


# Instale as dependências
pip install -r requirements.txt

# Execute a calculadora
python calculadora.py
```
# Instruções:

Digite o número correspondente à operação desejada

Siga as instruções específicas de cada operação

Pressione Enter após cada entrada

![image](https://github.com/user-attachments/assets/567204d3-65e3-44b3-ba2c-76fd9177526f)
      
## <span id="tecnologias">🛠️ Tecnologias</span>

<div align="center"> <img src="https://img.shields.io/badge/Python-3.12-blue?logo=python&logoColor=white" alt="Python"> <img src="https://img.shields.io/badge/NumPy-1.26-black?logo=numpy&logoColor=white" alt="NumPy"> <img src="https://img.shields.io/badge/Matplotlib-3.8-orange?logo=matplotlib&logoColor=white" alt="Matplotlib"> <img src="https://img.shields.io/badge/SciPy-1.11-green?logo=scipy&logoColor=white" alt="SciPy"> </div>

## <span id="roadmap">🗺️ Roadmap</span>

### ✅ Versão Atual (v3.0)
```mermaid
pie
    title Progresso v3.0
    "Concluído" : 95
    "Em Testes" : 5
```

#Versão 3.0 - 2024-2025
- [x] ✅ Operações matemáticas básicas e avançadas
- [x] ✅ Suporte a números complexos
- [x] ✅ Sistema de histórico de cálculos
- [x] ✅ Números complexos
- [x] ✅ Geração de gráficos

```mermaid
pie
    title Prioridades 2025
    "Interface Gráfica" : 35
    "Performance" : 25
    "Novas Operações" : 40
```
### Próximas Versões 
```mermaid
gantt
    title Cronograma 2025-2026
    dateFormat  YYYY-MM-DD
    axisFormat  %b '%y
    section v3.5 (Q1 2025)
    Interface Tkinter : crit, active, 2025-07-07, 45d
    section v4.0 (Q2 2025)
    Cálculo Vetorial : 2025-09-01, 60d
    section v4.5 (Q3 2025)
    Conversor Unidades : 2025-12-15, 30d
```

**Próximos Passos Imediatos**:
1. [ ] 🖥️ Finalizar GUI (Previsão: Jul/2025)
2. [ ] 📦 Publicar no PyPI
3. [ ] 🧪 Testes E2E

<details> <summary>📊 Métricas Detalhadas</summary>

```mermaid
pie
    title Alocação de Recursos
    "Frontend" : 40
    "Novas Features" : 35
    "Otimização" : 25
```
</details>

**Longo Prazo**:
- [ ] **v4.5**: Integração com Jupyter Notebooks
- [ ] **v5.0**: Versão Web (Streamlit/Dash)
- [ ] **v5.5**: Pacote PyPI com CLI avançado
- [ ] **v6.0**: Versão Mobile (Kivy)

<details> <summary>📊 Métricas de Progresso (Clique para expandir)</summary>
  
```mermaid
pie
    title Progresso Geral
    "Concluído" : 65
    "Em Desenvolvimento" : 25
    "Planejado" : 10
```
</details>



# 📅 Linha do Tempo Visual

```mermaid
timeline
    title Evolução da Calculadora
    2023 Q4 : Versão Inicial (Console)
    2024 Q2 : Adição de Gráficos
    2025 Q4 : Interface Gráfica
    2025-2026 Q2 : Versão Web
```

- **v3.5 (Jul 2025)**  
  ✅ Interface gráfica básica  
  🏗️ Sistema de plugins

- **v4.0 (Dez 2025)**  
  🔜 Cálculo matricial  
  ⏳ Exportação LaTeX

## 📂 Licença

Este projeto está licenciado sob a licença MIT. Veja o arquivo [LICENSE](LICENSE) para mais detalhes.

## <span id="autor">👨‍💻 Autor</span>

<div align="center">
  <img src="./assets/1.png" width="100" style="border-radius: 50%; margin-bottom: 15px;" alt="Foto de Perfil Leonardo Medeiros">
  
  **Leonardo Medeiros**  
  *Matemático Especialista, Cientista e Analista de Dados Sênior com especialização em IA e Machine Learning*

  <div style="margin: 20px 0; display: flex; justify-content: center; gap: 12px; flex-wrap: wrap;">
    <a href="https://github.com/LeoMedeiros72" target="_blank" title="GitHub">
      <img src="https://img.shields.io/badge/-GitHub-181717?style=for-the-badge&logo=github&logoColor=white">
    </a>
    <a href="https://www.linkedin.com/in/leonardo-medeiros-43556b211/" target="_blank" title="LinkedIn">
      <img src="https://img.shields.io/badge/-LinkedIn-0077B5?style=for-the-badge&logo=linkedin&logoColor=white">
    </a>
    <a href="https://instagram.com/LeoMedeiros72" target="_blank" title="Instagram">
      <img src="https://img.shields.io/badge/-Instagram-E4405F?style=for-the-badge&logo=instagram&logoColor=white">
    </a>
    <a href="mailto:xorao.lsm@gmail.com" target="_blank" title="E-mail">
      <img src="https://img.shields.io/badge/-Gmail-D14836?style=for-the-badge&logo=gmail&logoColor=white">
    </a>
  </div>

  <div style="margin-top: 10px;">
    <a href="https://github.com/LeoMedeiros72/Calculadora-3.0/stargazers" target="_blank">
      <img src="https://img.shields.io/github/stars/LeoMedeiros72/Calculadora-3.0?color=blue&style=flat-square" alt="Stars">
    </a>
    <a href="https://github.com/LeoMedeiros72/Calculadora-3.0/network/members" target="_blank">
      <img src="https://img.shields.io/github/forks/LeoMedeiros72/Calculadora-3.0?color=green&style=flat-square" alt="Forks">
    </a>
  </div>

  <sub style="display: block; margin-top: 20px; color: #586069;">Criado com ❤️ e Python</sub>
</div>
